Subject: Re: Adding ND to bonding?

From: Roy Sigurd Karlsbakk <[email-masked]>
Date: Tue, 4 Jun 2013 11:33:56 +0200 (CEST)

> Roy Sigurd Karlsbakk <[email-masked]> wrote:
> [...]
> >We're hoping one day we can move to an IPv6-only network (with some
> >gatewaying to IPv4 land), and I wonder if it would be hard to add
> >Neighbor Discovery Protocol to bonding as to allow for bonding on
> >ipv6. I'm not much of a kernel coder, but for what I could see, it
> >looks
> >doable.
> 
> I haven't tested it lately, but I'm reasonably sure that ND runs
> over bonding. Is there something specific you have in mind here?

Perhaps I was a bit unclear about this. What I mean, is that in the active-backup mode, the method of finding whether or not a link is active, is to send an ARP request to some machine, in my case, the gateway. This won't work with an IPv6-only configuration, since there's no ARP there, only ND. For active-backup mode to work in IPv6, there needs to be added an ND mode, replacing or supplementing ARP.

Vennlige hilsener / Best regards

roy
--
Roy Sigurd Karlsbakk
(+47) 98013356
[email-masked]
http://blogg.karlsbakk.net/
GPG Public key: http://karlsbakk.net/roysigurdkarlsbakk.pubkey.txt
--
I all pedagogikk er det essensielt at pensum presenteres intelligibelt. Det er et elementært imperativ for alle pedagoger å unngå eksessiv anvendelse av idiomer med xenotyp etymologi. I de fleste tilfeller eksisterer adekvate og relevante synonymer på norsk.